## org.gnu.gdk
Class LineStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.LineStyle

public class LineStyle
extends Enum

Field Summary
`static LineStyle` `DOUBLE_DASH`
`static LineStyle` `ON_OFF_DASH`
`static LineStyle` `SOLID`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`LineStyle` `and(LineStyle other)`
`static LineStyle` `intern(int value)`
`LineStyle` `or(LineStyle other)`
`boolean` `test(LineStyle other)`
`LineStyle` `xor(LineStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOLID

    public static final LineStyle SOLID

### ON_OFF_DASH

    public static final LineStyle ON_OFF_DASH

### DOUBLE_DASH

    public static final LineStyle DOUBLE_DASH

Method Detail

### intern

    public static LineStyle intern(int value)

### or

    public LineStyle or(LineStyle other)

### and

    public LineStyle and(LineStyle other)

### xor

    public LineStyle xor(LineStyle other)

### test

    public boolean test(LineStyle other)